﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Castle.ActiveRecord;

namespace ManyToOneExample
{
    [ActiveRecord]
    public class Osoba : ActiveRecordBase
    {
        [PrimaryKey]
        public int ID { get; set; }

        [Property]
        public string ImieNazwisko { get; set; }

        [BelongsTo( "ID_Jednostka", Cascade=CascadeEnum.All )]
        public Jednostka Jednostka { get; set; }
    }
}
